{% extends 'base.html.twig' %}

{% block title %}Game
{% endblock %}

{% block body %}

    <a href="{{ path('game_index') }}">back to list</a>

	<h1>{{game.title}}</h1>

	<img src="{{game.image}}" alt="Game Image">

	<p>{{game.description}}</p>

	<p>Date de création :
		{{game.date ? game.date|date('d/m/Y') : ''}}</p>

	<button>
		<a href="{{game.url}}">Jouer</a>
	</button>

	<table>

		<tr>
			<td>Commentaire</td>
			<td>Note</td>
			<td>Date</td>
		</tr>

        {# Boucle qui va chercher les données des commentaires pour les afficher ensuite #}
		{% for rate in game.rates %}
            {# Afficher les commentaires s'ils sont approuvés #}
			{% if rate.approved == true %}
				<tr>
					<td>{{rate.comment}}</td>
					<td>{{rate.note}}</td>
					<td>{{rate.date ? rate.date|date('d/m/Y') : ''}}</td>
				</tr>
			{% endif %}
		{% endfor %}

	</table>

	{% if is_granted("ROLE_ADMIN") %}
		<a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
		{{ include('game/_delete_form.html.twig') }}
	{% endif %}

{% endblock %}
